[Oracleasm-commits] jlbec commits r319 - in trunk: . vendor/common vendor/rhel4 vendor/sles9

svn-commits at oss.oracle.com svn-commits at oss.oracle.com
Mon Nov 21 16:12:29 CST 2005


Author: jlbec
Date: 2005-11-21 16:12:27 -0600 (Mon, 21 Nov 2005)
New Revision: 319

Added:
   trunk/svnrev.guess
   trunk/vendor/common/oracleasm-support.spec-generic.in
Removed:
   trunk/vendor/common/oracleasm-support.spec.in
Modified:
   trunk/Config.make.in
   trunk/Vendor.make
   trunk/configure.in
   trunk/vendor/common/
   trunk/vendor/common/Makefile
   trunk/vendor/common/Vendor.make
   trunk/vendor/rhel4/Vendor.make
   trunk/vendor/rhel4/oracleasm-2.6.9-EL.spec-generic.in
   trunk/vendor/sles9/Vendor.make
   trunk/vendor/sles9/oracleasm-2.6.5.spec-generic.in
Log:

o Add svnrev.guess to create RPM versions from the repository.
o Remove the RPM version stuff from configure.in and Config.make
o Bump version to 2.0.2.  Now that our RPM versions are 0.xxx, we
  bump the version right after releasing.
o Clean up more configure.in uselessness, like 2.4 modversion/moddir.
o Redo the spec-generic substitution methods.
o Add PKG_VERSION to the spec-generic substitutions.  This comes from
  svnrev.guess.
o Move oracleasm-support to spec-generic so it can get PKG_VERSION.



Modified: trunk/Config.make.in
===================================================================
--- trunk/Config.make.in	2005-11-20 10:58:49 UTC (rev 318)
+++ trunk/Config.make.in	2005-11-21 22:12:27 UTC (rev 319)
@@ -3,7 +3,6 @@
 VERSION = @VERSION@
 
 DIST_VERSION = @DIST_VERSION@
-RPM_VERSION = @RPM_VERSION@
 
 MAJOR_VERSION = @MAJOR_VERSION@
 MINOR_VERSION = @MINOR_VERSION@
@@ -51,7 +50,4 @@
 KERNELVER = @KERNELVER@
 BUILD_DRIVER = @BUILD_DRIVER@
 
-MODULEDIR = @MODULEDIR@
-MODVERSIONS = @MODVERSIONS@
-
 endif

Modified: trunk/Vendor.make
===================================================================
--- trunk/Vendor.make	2005-11-20 10:58:49 UTC (rev 318)
+++ trunk/Vendor.make	2005-11-21 22:12:27 UTC (rev 319)
@@ -4,5 +4,7 @@
 # use the mbvendor infrastructure
 #
 
+PKG_VERSION = $(shell $(TOPDIR)/svnrev.guess $(PACKAGE))
+
 -include $(TOPDIR)/vendor/$(shell ./vendor.guess)/Vendor.make
 

Modified: trunk/configure.in
===================================================================
--- trunk/configure.in	2005-11-20 10:58:49 UTC (rev 318)
+++ trunk/configure.in	2005-11-21 22:12:27 UTC (rev 319)
@@ -17,9 +17,9 @@
 #
 MAJOR_VERSION=2
 MINOR_VERSION=0
-MICRO_VERSION=1
-INTERFACE_AGE=1
-BINARY_AGE=1
+MICRO_VERSION=2
+INTERFACE_AGE=2
+BINARY_AGE=2
 VERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}"
 AC_SUBST(MAJOR_VERSION)
 AC_SUBST(MINOR_VERSION)
@@ -108,21 +108,6 @@
   AC_MSG_ERROR(No configured kernel include tree found)
 fi
 
-AC_MSG_CHECKING([for kernel module symbol versions])
-AC_EGREP_CPP(kernel_has_modversions,
-[#include <linux/autoconf.h>
-#ifdef CONFIG_MODVERSIONS
-  kernel_has_modversions
-#endif
-}], modversions=yes, modversions=no)
-AC_MSG_RESULT($modversions)
-
-MODVERSIONS=
-if test "x$modversions" = "xyes"; then
-  MODVERSIONS="-include \$(KERNELINC)/linux/modversions.h -DMODVERSIONS"
-fi
-AC_SUBST(MODVERSIONS)
-
 AC_MSG_CHECKING(for kernel version)
 rm -f conf.kvertest
 AC_TRY_RUN([
@@ -164,27 +149,14 @@
 KERNELVER=$kversion
 AC_SUBST(KERNELVER)
 
-AC_MSG_CHECKING(for directory for kernel modules)
-AC_ARG_WITH(moddir, [  --with-moddir=/path     Path to where modules should be installed [/lib/modules/<KVER>/fs]], moddir="$withval", moddir="/lib/modules/$kversion/kernel/fs")
-AC_MSG_RESULT($moddir)
 
-MODULEDIR=$moddir
-AC_SUBST(MODULEDIR)
-
 CPPFLAGS="$saved_CPPFLAGS"
 CFLAGS="$saved_CFLAGS"
 
 
-AC_MSG_CHECKING(RPM package version)
-AC_ARG_WITH(rpmversion, [  --with-rpmversion=version  Version for the RPM package [1]], rpmversion="$withval", rpmversion="1")
-AC_MSG_RESULT($rpmversion)
-
-RPM_VERSION=$rpmversion
-AC_SUBST(RPM_VERSION)
-
 AC_OUTPUT([Config.make
 include/linux/asm_module_version.h
-vendor/common/oracleasm-support.spec
+vendor/common/oracleasm-support.spec-generic
 vendor/sles9/oracleasm-2.6.5.spec-generic
 vendor/rhel4/oracleasm-2.6.9-EL.spec-generic
 ])

Added: trunk/svnrev.guess
===================================================================
--- trunk/svnrev.guess	2005-11-20 10:58:49 UTC (rev 318)
+++ trunk/svnrev.guess	2005-11-21 22:12:27 UTC (rev 319)
@@ -0,0 +1,137 @@
+#!/bin/sh
+
+#
+# This script creates a package version for packages.  The package
+# version is the "release" or other version attached by the packaging
+# software (eg, RPM or Dpkg) after the upstream software version.
+#
+# This software must be invoked like so:
+#
+#     svnrev.guess <packagename>
+#
+# and it expects that release tags are of the form:
+#
+#     /tags/<packagename>-<version>
+#
+# Note that release tag versioning expects a working connection to
+# the repository (for SVN log), but all other branches don't require it.
+#
+# If there is no .svn directory or it cannot discover the repository
+# version, the script sets a version of 0.local.
+#
+
+if [ $# -lt 1 ]
+then
+    echo "Usage: svnrev.guess <packagename>" >&2
+    exit 1
+fi
+PACKAGE="$1"
+
+getstat()
+{
+    if [ ! -d .svn ]
+    then
+        return
+    fi
+    svn stat -v | awk 'BEGIN{modified = "false";lastrev = 0}
+                       /Status against/{next}
+                       /^\?/{next} 
+                       {
+                         col1=substr($0, 0, 1);
+                         if (col1 != " ") {modified = "true"}
+                         sub(/^......../, "");
+                         if ($1 > lastrev) { lastrev=$1 }
+                       }
+                       END{print modified,lastrev}'
+}
+
+#
+# Branches that are not releases get a work-in-progress package version.
+# This is 0.<svn_revision>[m].  The 0. ensures that an upcoming real
+# release, with an package version of 1, will supercede this package.
+# The "m" is added if the working tree has modifications to distinguish
+# it from a committed revision.
+#
+# If there is no repository or there is a problem getting the revision,
+# the package version is 0.local.
+#
+workingrev()
+{
+    STATINFO="$(getstat)"
+    MODIFIED=$(echo "$STATINFO" | cut -f1 -d" ")
+    LASTREV=$(echo "$STATINFO" | cut -f2 -d" ")
+
+    if [ -z "$LASTREV" ]
+    then
+        PKG_VERSION=0.local
+    else
+        PKG_VERSION=0.${LASTREV}
+        if [ "$MODIFIED" = "true" ]
+        then
+            PKG_VERSION="${PKG_VERSION}m"
+        fi
+    fi
+    echo "$PKG_VERSION"
+}
+
+#
+# If the branch is a tag (tags/project-x.y), it needs a release-based
+# package version (-1, -2, etc).  Generally, it will be the tip of the
+# branch (package version 1).  However, if there is a slight release
+# fixup, that warrants bumping the package version.
+#
+# The logic is pretty simple.  Walk the history looking for the
+# creation of the tag (A /tags/project-x.y).  For each revsion later
+# than the creation of the tag, bump the package version.
+# 
+releaserev()
+{
+    BRANCH="$1"
+    BRANCH_SEARCH="`echo "$BRANCH" | sed -e 's/\//\\\\\//g'`"
+    svn log -v | awk 'BEGIN{rev=0}
+                      /^r[0-9]+ \|/{rev += 1}
+                      /^ +A \/'"$BRANCH_SEARCH"'$/{exit}
+                      END{print rev}'
+}
+
+
+# 
+# Tag branches are releases, and need a release-style package version.
+# All other branches are non-release, and get an obviously
+# work-in-progress package version.
+#
+# guessbranch() expects the standard Subversion layout of
+#     /trunk
+#     /branches/<branchname>
+#     /tags/<tagname>
+#
+guessbranch()
+{
+    if [ ! -d .svn ]
+    then
+        return
+    fi
+    svn info | awk '/URL: .*\/trunk\/?$/{print "trunk"; exit 0}
+                    /URL: .*\/branches\/[^/]+\/?/{
+                                                   gsub(/\/$/, "", $2);
+                                                   sub(/^.*\/branches\//, "", $2);
+                                                   print "branches/"$2;
+                                                   exit 0;
+                                                 }
+                    /URL: .*\/tags\/[^/]+\/?/{
+                                                   gsub(/\/$/, "", $2);
+                                                   sub(/^.*\/tags\//, "", $2);
+                                                   print "tags/"$2;
+                                                   exit 0;
+                                                 }'
+}
+
+BRANCH=$(guessbranch)
+case "$BRANCH" in
+tags/${PACKAGE}*)
+    releaserev "$BRANCH"
+    ;;
+*)
+    workingrev
+    ;;
+esac


Property changes on: trunk/svnrev.guess
___________________________________________________________________
Name: svn:executable
   + *


Property changes on: trunk/vendor/common
___________________________________________________________________
Name: svn:ignore
   - .*.sw?
oracleasm-support.spec

   + .*.sw?
oracleasm-support.spec
oracleasm-support.spec-generic


Modified: trunk/vendor/common/Makefile
===================================================================
--- trunk/vendor/common/Makefile	2005-11-20 10:58:49 UTC (rev 318)
+++ trunk/vendor/common/Makefile	2005-11-21 22:12:27 UTC (rev 319)
@@ -2,10 +2,10 @@
 
 include $(TOPDIR)/Preamble.make
 
-DIST_FILES =				\
-	oracleasm.init			\
-	oracleasm.sysconfig		\
-	oracleasm-support.spec.in	\
+DIST_FILES =					\
+	oracleasm.init				\
+	oracleasm.sysconfig			\
+	oracleasm-support.spec-generic.in	\
 	Vendor.make
 
 include $(TOPDIR)/Postamble.make

Modified: trunk/vendor/common/Vendor.make
===================================================================
--- trunk/vendor/common/Vendor.make	2005-11-20 10:58:49 UTC (rev 318)
+++ trunk/vendor/common/Vendor.make	2005-11-21 22:12:27 UTC (rev 319)
@@ -2,11 +2,19 @@
 # Support files
 #
 
-$(TOPDIR)/oracleasm-support-$(DIST_VERSION)-$(RPM_VERSION).src.rpm: $(TOPDIR)/vendor/common/oracleasm-support.spec
+# This Vendor.make expects TOOLSARCH set by someone including it
+
+
+RPMBUILD = $(shell /usr/bin/which rpmbuild 2>/dev/null || /usr/bin/which rpm 2>/dev/null || echo /bin/false)
+RPM_TOPDIR = `pwd`
+
+$(TOPDIR)/oracleasm-support-$(DIST_VERSION)-$(PKG_VERSION).src.rpm: dist $(TOPDIR)/vendor/common/oracleasm-support.spec-generic
+	sed -e 's/@@PKG_VERSION@@/'$(PKG_VERSION)'/' < "$(TOPDIR)/vendor/common/oracleasm-support.spec-generic" > "$(TOPDIR)/vendor/common/oracleasm-support.spec"
 	$(RPMBUILD) -bs --define "_sourcedir $(RPM_TOPDIR)" --define "_srcrpmdir $(RPM_TOPDIR)" "$(TOPDIR)/vendor/common/oracleasm-support.spec"
+	rm "$(TOPDIR)/vendor/common/oracleasm-support.spec"
 
-support_srpm: $(TOPDIR)/oracleasm-support-$(DIST_VERSION)-$(RPM_VERSION).src.rpm
+support_srpm: $(TOPDIR)/oracleasm-support-$(DIST_VERSION)-$(PKG_VERSION).src.rpm
 
 support_rpm: support_srpm
-	$(RPMBUILD) --rebuild $(TOOLSARCH) "oracleasm-support-$(DIST_VERSION)-$(RPM_VERSION).src.rpm"
+	$(RPMBUILD) --rebuild $(TOOLSARCH) "oracleasm-support-$(DIST_VERSION)-$(PKG_VERSION).src.rpm"
 

Copied: trunk/vendor/common/oracleasm-support.spec-generic.in (from rev 316, trunk/vendor/common/oracleasm-support.spec.in)
===================================================================
--- trunk/vendor/common/oracleasm-support.spec.in	2005-11-20 10:09:07 UTC (rev 316)
+++ trunk/vendor/common/oracleasm-support.spec-generic.in	2005-11-21 22:12:27 UTC (rev 319)
@@ -0,0 +1,111 @@
+#
+# Spec file for oracleasm
+#
+
+# Macros
+# This one is hardcoded because, well, it belongs there
+%define _prefix /usr
+# Because RPM is dumb
+%define _unpackaged_files_terminate_build 0
+
+# Turn on's and off's (summit and debug not used but added
+# for future proofing)
+
+
+
+Summary: The Oracle Automatic Storage Management support programs.
+Name: oracleasm-support
+Version: @DIST_VERSION@
+Release: @@PKG_VERSION@@
+Copyright: GPL
+Group: System Environment/Kernel
+Source: oracleasm- at DIST_VERSION@.tar.gz
+URL: http://oss.oracle.com/projects/oracleasm/
+Distribution: Oracle
+Vendor: Oracle Corporation
+Packager: Joel Becker <joel.becker at oracle.com>
+AutoReqProv: no
+
+
+BuildRoot: %{_tmppath}/oracleasm-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}-root
+
+
+
+%description
+Tools to manage the Oracle Automatic Storage Management library driver
+
+
+%prep
+%setup -n oracleasm-%{version}
+
+
+%build
+./configure					\
+	--prefix=%{_prefix}			\
+	--exec-prefix=%{_exec_prefix}		\
+	--bindir=%{_bindir}			\
+	--sbindir=%{_sbindir}			\
+	--sysconfdir=%{_sysconfdir}		\
+	--datadir=%{_datadir}			\
+	--includedir=%{_includedir}		\
+	--libdir=%{_libdir}			\
+	--libexecdir=%{_libexecdir}		\
+	--localstatedir=%{_localstatedir}	\
+	--sharedstatedir=%{_sharedstatedir}	\
+	--mandir=%{_mandir}			\
+	--infodir=%{_infodir}			\
+	--sbindir=/usr/sbin
+
+cd tools
+make
+cd ..
+
+
+
+%install
+
+mkdir -p $RPM_BUILD_ROOT/etc/init.d
+cp -f vendor/common/oracleasm.init $RPM_BUILD_ROOT/etc/init.d/oracleasm
+mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
+cp -f vendor/common/oracleasm.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/oracleasm
+
+cd tools
+make DESTDIR="$RPM_BUILD_ROOT" install
+
+
+%clean
+rm -rf "$RPM_BUILD_ROOT"
+
+
+%post
+chkconfig oracleasm on
+
+%files
+%defattr(-,root,root)
+/usr/sbin/asmtool
+/usr/sbin/asmscan
+%attr(0755,root,root) /usr/lib/oracleasm/oracleasm_debug_link
+%attr(0755,root,root) /etc/init.d/oracleasm
+%config /etc/sysconfig/oracleasm
+
+
+
+%changelog
+* Wed Jan 07 2004 Joel Becker <joel.becker at oracle.com>
+- Make open package.
+
+* Thu Dec 11 2003 Joel Becker <joel.becker at oracle.com>
+- Try at userspace thingie.
+
+* Wed Nov 12 2003 Joel Becker <joel.becker at oracle.com>
+- Start the ASM rename.
+
+* Thu Oct 30 2003 Joel Becker <joel.becker at oracle.com>
+- Created EL3 version
+
+* Mon Jun 23 2003 Joel Becker <joel.becker at oracle.com>
+- Added osm-lib bits
+
+* Fri Jun 20 2003 Joel Becker <joel.becker at oracle.com>
+- Initial RPM
+

Deleted: trunk/vendor/common/oracleasm-support.spec.in
===================================================================
--- trunk/vendor/common/oracleasm-support.spec.in	2005-11-20 10:58:49 UTC (rev 318)
+++ trunk/vendor/common/oracleasm-support.spec.in	2005-11-21 22:12:27 UTC (rev 319)
@@ -1,111 +0,0 @@
-#
-# Spec file for oracleasm
-#
-
-# Macros
-# This one is hardcoded because, well, it belongs there
-%define _prefix /usr
-# Because RPM is dumb
-%define _unpackaged_files_terminate_build 0
-
-# Turn on's and off's (summit and debug not used but added
-# for future proofing)
-
-
-
-Summary: The Oracle Automatic Storage Management support programs.
-Name: oracleasm-support
-Version: @DIST_VERSION@
-Release: @RPM_VERSION@
-Copyright: GPL
-Group: System Environment/Kernel
-Source: oracleasm- at DIST_VERSION@.tar.gz
-URL: http://oss.oracle.com/projects/oracleasm/
-Distribution: Oracle
-Vendor: Oracle Corporation
-Packager: Joel Becker <joel.becker at oracle.com>
-AutoReqProv: no
-
-
-BuildRoot: %{_tmppath}/oracleasm-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}-root
-
-
-
-%description
-Tools to manage the Oracle Automatic Storage Management library driver
-
-
-%prep
-%setup -n oracleasm-%{version}
-
-
-%build
-./configure					\
-	--prefix=%{_prefix}			\
-	--exec-prefix=%{_exec_prefix}		\
-	--bindir=%{_bindir}			\
-	--sbindir=%{_sbindir}			\
-	--sysconfdir=%{_sysconfdir}		\
-	--datadir=%{_datadir}			\
-	--includedir=%{_includedir}		\
-	--libdir=%{_libdir}			\
-	--libexecdir=%{_libexecdir}		\
-	--localstatedir=%{_localstatedir}	\
-	--sharedstatedir=%{_sharedstatedir}	\
-	--mandir=%{_mandir}			\
-	--infodir=%{_infodir}			\
-	--sbindir=/usr/sbin
-
-cd tools
-make
-cd ..
-
-
-
-%install
-
-mkdir -p $RPM_BUILD_ROOT/etc/init.d
-cp -f vendor/common/oracleasm.init $RPM_BUILD_ROOT/etc/init.d/oracleasm
-mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
-cp -f vendor/common/oracleasm.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/oracleasm
-
-cd tools
-make DESTDIR="$RPM_BUILD_ROOT" install
-
-
-%clean
-rm -rf "$RPM_BUILD_ROOT"
-
-
-%post
-chkconfig oracleasm on
-
-%files
-%defattr(-,root,root)
-/usr/sbin/asmtool
-/usr/sbin/asmscan
-%attr(0755,root,root) /usr/lib/oracleasm/oracleasm_debug_link
-%attr(0755,root,root) /etc/init.d/oracleasm
-%config /etc/sysconfig/oracleasm
-
-
-
-%changelog
-* Wed Jan 07 2004 Joel Becker <joel.becker at oracle.com>
-- Make open package.
-
-* Thu Dec 11 2003 Joel Becker <joel.becker at oracle.com>
-- Try at userspace thingie.
-
-* Wed Nov 12 2003 Joel Becker <joel.becker at oracle.com>
-- Start the ASM rename.
-
-* Thu Oct 30 2003 Joel Becker <joel.becker at oracle.com>
-- Created EL3 version
-
-* Mon Jun 23 2003 Joel Becker <joel.becker at oracle.com>
-- Added osm-lib bits
-
-* Fri Jun 20 2003 Joel Becker <joel.becker at oracle.com>
-- Initial RPM
-

Modified: trunk/vendor/rhel4/Vendor.make
===================================================================
--- trunk/vendor/rhel4/Vendor.make	2005-11-20 10:58:49 UTC (rev 318)
+++ trunk/vendor/rhel4/Vendor.make	2005-11-21 22:12:27 UTC (rev 319)
@@ -9,13 +9,13 @@
 	SPECVER="$@"; \
 		SPECVER="$${SPECVER#*oracleasm-2.6.9-}"; \
 		SPECVER="$${SPECVER%.EL.spec}"; \
-		sed -e 's/^%define sver.*%{generic}$$/%define sver		'$${SPECVER}'/' < $< > $@
+		sed -e 's/@@SVER@@/'$${SPECVER}'/' -e 's/@@PKG_VERSION@@/'$(PKG_VERSION)'/' < $< > $@
 
 rhel4_%_srpm: dist $(TOPDIR)/vendor/rhel4/oracleasm-2.6.9-%.EL.spec
-	$(RPMBUILD) -bs --define "_sourcedir $(TOPDIR)" --define "_srcrpmdir $(TOPDIR)" $(TOPDIR)/vendor/rhel4/oracleasm-2.6.9-$(patsubst rhel4_%_srpm,%,$@).EL.spec
+	rpmbuild -bs --define "_sourcedir $(TOPDIR)" --define "_srcrpmdir $(TOPDIR)" $(TOPDIR)/vendor/rhel4/oracleasm-2.6.9-$(patsubst rhel4_%_srpm,%,$@).EL.spec
 
 rhel4_%_rpm: rhel4_%_srpm
-	$(RPMBUILD) --rebuild $(MODULEARCH) "oracleasm-2.6.9-$(patsubst rhel4_%_rpm,%,$@).EL-$(DIST_VERSION)-$(RPM_VERSION).src.rpm"
+	rpmbuild --rebuild $(MODULEARCH) "oracleasm-2.6.9-$(patsubst rhel4_%_rpm,%,$@).EL-$(DIST_VERSION)-$(PKG_VERSION).src.rpm"
 
 
 include $(TOPDIR)/vendor/common/Vendor.make

Modified: trunk/vendor/rhel4/oracleasm-2.6.9-EL.spec-generic.in
===================================================================
--- trunk/vendor/rhel4/oracleasm-2.6.9-EL.spec-generic.in	2005-11-20 10:58:49 UTC (rev 318)
+++ trunk/vendor/rhel4/oracleasm-2.6.9-EL.spec-generic.in	2005-11-21 22:12:27 UTC (rev 319)
@@ -43,7 +43,7 @@
 
 # This must be changed to the minimum ABI compat kernel version expected
 %define base		2.6.9
-%define sver		%{generic}
+%define sver		@@SVER@@
 %define kver		%{base}-%{sver}.EL
 
 # The minimum -support package required for the kernel bits.
@@ -54,7 +54,7 @@
 Summary: The Oracle Automatic Storage Management library driver.
 Name: oracleasm-%{kver}
 Version: @DIST_VERSION@
-Release: @RPM_VERSION@
+Release: @@PKG_VERSION@@
 Copyright: GPL
 Group: System Environment/Kernel
 Source: oracleasm- at DIST_VERSION@.tar.gz

Modified: trunk/vendor/sles9/Vendor.make
===================================================================
--- trunk/vendor/sles9/Vendor.make	2005-11-20 10:58:49 UTC (rev 318)
+++ trunk/vendor/sles9/Vendor.make	2005-11-21 22:12:27 UTC (rev 319)
@@ -10,13 +10,13 @@
 	SPECVER="$@"; \
 		SPECVER="$${SPECVER#*oracleasm-2.6.5-}"; \
 		SPECVER="$${SPECVER%.spec}"; \
-		sed -e 's/^%define sver.*%{generic}$$/%define sver		'$${SPECVER}'/' < $< > $@
+		sed -e 's/@@SVER@@/'$${SPECVER}'/' -e 's/@@PKG_VERSION@@/'$(PKG_VERSION)'/' < $< > $@
 
 sles9_%_srpm: dist $(TOPDIR)/vendor/sles9/oracleasm-2.6.5-%.spec
 	rpmbuild -bs --define "_sourcedir $(TOPDIR)" --define "_srcrpmdir $(TOPDIR)" $(TOPDIR)/vendor/sles9/oracleasm-2.6.5-$(patsubst sles9_%_srpm,%,$@).spec
 
 sles9_%_rpm: sles9_%_srpm
-	rpmbuild --rebuild $(MODULEARCH) "oracleasm-2.6.5-$(patsubst sles9_%_rpm,%,$@)-$(DIST_VERSION)-$(RPM_VERSION).src.rpm"
+	rpmbuild --rebuild $(MODULEARCH) "oracleasm-2.6.5-$(patsubst sles9_%_rpm,%,$@)-$(DIST_VERSION)-$(PKG_VERSION).src.rpm"
 
 
 include $(TOPDIR)/vendor/common/Vendor.make

Modified: trunk/vendor/sles9/oracleasm-2.6.5.spec-generic.in
===================================================================
--- trunk/vendor/sles9/oracleasm-2.6.5.spec-generic.in	2005-11-20 10:58:49 UTC (rev 318)
+++ trunk/vendor/sles9/oracleasm-2.6.5.spec-generic.in	2005-11-21 22:12:27 UTC (rev 319)
@@ -71,7 +71,7 @@
 
 # This must be changed to the minimum ABI compat kernel version expected
 %define base		2.6.5
-%define sver		%{generic}
+%define sver		@@SVER@@
 %define kver		%{base}-%{sver}
 
 # The minimum -support package required for the kernel bits.
@@ -82,7 +82,7 @@
 Summary: The Oracle Automatic Storage Management library driver.
 Name: oracleasm-%{kver}
 Version: @DIST_VERSION@
-Release: @RPM_VERSION@
+Release: @@PKG_VERSION@@
 Copyright: GPL
 Group: System Environment/Kernel
 Source: oracleasm- at DIST_VERSION@.tar.gz



More information about the Oracleasm-commits mailing list